#!/bin/bash
#
#  Install script for ST Stdandard Peripherals Library
#  Script written by Gregor Rebel 2010-2011.
# 
#  Feel free do distribute and change to your own needs!
#
# Tested successfully on:
# Ubuntu 10.04 Netbook Edition x86
# KUbuntu 11.04 x86
# openSuSE 11.4 x86
# XUbuntu 11.10 x64

source scripts/installFuncs.sh

if [ "$USER" == "root" ]; then
  echo "$0: ERROR this script should not been run as user root!"
  exit 10
fi

INSTALLPATH="../Documentation"
dir $INSTALLPATH
cd $INSTALLPATH

#{ IMPLEMENT YOUR INSTALL SCRIPT BELOW --------------------------------------------

if [ -e InstallOK ]; then
  echo "Already installed: $INSTALLPATH"
  exit 0  
fi

echo "installing in $INSTALLPATH ..."
ERROR=""
echo "D"; get http://www.st.com/mcu/files/mcu/                   1221142709.pdf  STM32_Insiders_Guide_to_the_STM32.pdf                                    || ERROR="1"
echo "D"; get http://www.st.com/stonline/products/literature/an/      15531.pdf  STM32_standard_peripheral_library_V300.pdf                               || ERROR="1"
echo "D"; get http://www.st.com/stonline/products/literature/pm/      15491.pdf  STM32_Cortex-M3_Programming_Manual.pdf                                   || ERROR="1"
echo "D"; get http://www.st.com/stonline/products/literature/rm/      13902.pdf  STM32_Advanced_ARM-based_32bit_MCUs.pdf                                  || ERROR="1"
echo "D"; get https://silver.arm.com/download/           download.tm?pv=1073296  ARMv7-M_Architecture_Reference_Manual.pdf                                || ERROR="1"
echo "D"; get http://home.comcast.net/~mcatudal/index_fichiers/ CrossDevHowto_STM32_Mandriva.pdf  HowTo_Using_Open_Source_Tools_for_STM32_under_Linux.pdf || ERROR="1"
echo "D"; get http://www.st.com/stonline/products/literature/rm/      16188.pdf  STM32_RM0041_ReferenceManual_STM32F100xx.pdf                             || ERROR="1"
echo "D"; get http://www.st.com/stonline/products/literature/rm/      13902.pdf  STM32_RM0008_ReferenceManual_STM32F100xx.pdf                             || ERROR="1"

if [ "$ERROR" == "" ]; then
  touch InstallOK
fi

if [ -e InstallOK ]; then
  echo "Installed successfully: $INSTALLPATH"
fi

#} IMPLEMENT YOUR INSTALL SCRIPT ABOVE -----------------------------------------------

exit 0
